RHEL4.4 perl

hi, I understand installing the updated perl package that came with
update 3 breaks weak dependancies when running RT. Can anyone comment
on the issues here? Is it safe to assume that installing RT on a
freshly installed RHEL 4.4 system would not cause a problem?

Thanks,